GET

/api/v1/exchanges/:id/active_trading_entities

Permission: EXCHANGES_READSecurity: SIGNED

Returns the number of active trading entities (DCA bots, active deals, SmartTrades, open orders, and Grid bots) associated with the connected exchange account using its unique UUID ID.

Path Parameters

idUUID string required

Unique Quentrade UUID of the connected exchange account entity.

Example Request

GETGET /api/v1/exchanges/7fa84b80-77a8-4e89-a292-123456789abc/active_trading_entities

Response Parameters

dataobject

Contains aggregated statistics about the active trading entities on this account.

active_bots_countinteger

The number of all active DCA Bots connected to this exchange account.

active_deals_countinteger

The number of all active running deals of DCA Bots on this account.

active_smart_trades_countinteger

The number of all active SmartTrades running on this account.

active_orders_countinteger

The number of all active open orders placed on this exchange.

active_grid_bots_countinteger

The number of all active Grid Bots running on this account.

Example Responses

active_entities_200.json
200 OK
{
  "data": {
    "active_bots_count": 5,
    "active_deals_count": 4,
    "active_smart_trades_count": 3,
    "active_orders_count": 2,
    "active_grid_bots_count": 0
  }
}